Method: advertisers.channels.create

  • This page provides details for creating a new channel using an HTTP POST request.

  • The request requires either an advertiserId as a path parameter or a partnerId as a query parameter to identify the channel owner.

  • The request body should contain an instance of the Channel resource.

  • A successful response returns the newly created Channel resource in the response body.

  • The request requires the https://www.googleapis.com/auth/display-video authorization scope.

Creates a new channel. Returns the newly created channel if successful.

HTTP request

POST https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/channels

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
Required. Identifies which DV360 entity owns the channel. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
advertiserId

string (int64 format)

The ID of the advertiser that owns the created channel.

End of mutually exclusive fields.

Query parameters

Parameters
Required. Identifies which DV360 entity owns the channel. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
partnerId

string (int64 format)

The ID of the partner that owns the created channel.

End of mutually exclusive fields.

Request body

The request body contains an instance of Channel.

Response body

If successful, the response body contains a newly created instance of Channel.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.